.faq-wrapper {
  padding: 123px 0 223px 0;
  background: url("../img/faq-bg-1.png") no-repeat top 107px center / 1285px 686px,
  url("../img/faq-bg-2.png") no-repeat top 107px center / 1010px 628px;
}

.faq-wrapper .container {
  position: relative;
}

.faq {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0 100px;
}

.faq h2 {
  margin-bottom: 53px;
}

.faq-banana {
  position: absolute;
}

.faq-banana.faq-banana-top {
  left: 140px;
  top: 0;
  animation: vertical 1.5s ease-in-out infinite alternate;
}

.faq-banana.faq-banana-bot {
  right: 140px;
  bottom: -70px;
  animation: vertical 2s 1s ease-in-out infinite alternate;
}

.faq-questions {
  align-self: stretch;
  border-radius: 19px;
  background: rgba(255, 255, 255, 0.08);
  backdrop-filter: blur(150px);
  -webkit-backdrop-filter: blur(150px);
}

.faq-question-item {
  display: flex;
  flex-direction: column;
  overflow: hidden;
  position: relative;
}

.faq-question-item:not(:last-child)::after {
  content: "";
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 1px;
  background: linear-gradient(99.23deg, rgba(255, 199, 0, 0.09) 3.42%, rgba(255, 211, 98, 0.09) 112.15%);
}

.faq-question {
  padding: 28px 40px;
}

.faq-question {
  position: relative;
  display: grid;
  grid-template-columns: 1fr 24px;
  grid-column-gap: 42px;
}

.faq-question__toggler {
  line-height: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 24px;
  height: 24px;
  border-radius: 6px;
  background: linear-gradient(99.23deg, #FFC700 3.42%, #FFD362 112.15%);
  backdrop-filter: blur(22px);
  -webkit-backdrop-filter: blur(22px);
  font-size: 24px;
  color: #fff;
  cursor: pointer;
}

.faq-question__toggler::after {
  content: "+";
}

.faq-question-item.opened .faq-question__toggler {
  background: #5C5C5C;
  color: var(--yellow-1);
  position: relative;
}

.faq-question-item.opened .faq-question__toggler::after {
  content: "-";
}

.faq-question-item.opened .faq-question__text {
  background: var(--yellow-gradient-1to2);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.faq-question-item.opened .faq-question-answer {
  max-height: unset;
  padding: 28px 40px;
  border-top: 1px solid;
  border-image-source: linear-gradient(99.23deg, rgba(255, 199, 0, 0.09) 3.42%, rgba(255, 211, 98, 0.09) 112.15%);
  border-image-slice: 1;
}

.faq-question__text {
  font-weight: 900;
  font-size: 16px;
  line-height: 21px;
  color: #fff;
}

.faq-question-answer {
  padding: 0 40px;
  font-size: 14px;
  line-height: 22px;
  color: #A6A6A6;
  max-height: 0;
}

@media (max-width: 1023px) {
  .faq-wrapper {
    padding: 81px 0 93px 0;
    background: url("../img/faq-bg-mobile.png") no-repeat top 149px center / 343px 585px;
  }

  .faq {
    padding: 0;
  }

  .faq-banana.faq-banana-top {
    right: 20px;
    left: unset;
    top: 50px;
    animation: vertical 1.5s ease-in-out infinite alternate;
  }

  .faq-wrapper .container {
    padding: 0;
  }

  .faq h2 {
    margin-bottom: 108px;
    padding: var(--mobile-container-padding);
  }

  .faq-questions {
    border-radius: 0;
  }

  .faq-question {
    padding: 24px 20px;
  }

  .faq-question-item.opened .faq-question-answer {
    padding: 24px 20px;
  }

  .faq-question__text {
    font-size: 14px;
    line-height: 18px;
  }
}